Subject: Re: bug#62096: 30.0.50; find-dired, dired-goto-file and spaces

From: Manuel Giraud <[email-masked]>
Date: Fri, 10 Mar 2023 20:05:04 +0100

I almost got it.  It comes from the test on the switches used to build
the dired buffer.

For a "standard" dired build with ls, on OpenBSD, I just have "-al" as
switches: no "b" so it doesn't trigger the string-replace.

For a find-dired buffer, on OpenBSD, I have "-gilsb" as switches: there
is a "b" that triggers the string-replace (which is not needed here).

I think that the fix should be "test the b switch only for ls built
dired".  I don't know if it will fix Windows.
-- 
Manuel Giraud